<?php

namespace App\Models;

use App\helpers\batchUpdate;
use Illuminate\Database\Eloquent\Model;

/**
 * @method static int update(array $values)
 * @method static bool updateOrInsert(array $attributes, array $values = []) Insert or update a record matching the attributes, and fill it with values.
 * @method static bool upsert(array $values, $uniqueBy, $update = null) insert new records or update the existing ones.
 * @method static bool insert(array $values)
 * @method static int insertOrIgnore(array $values)
 * @method static int insertGetId(array $values, null|string $sequence)
 * @method static int delete(mixed $id = null)
 */
class Base extends Model
{
    use batchUpdate;
    public $timestamps = true;

}
